<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace loyalsoft;

/**
 * Description of Ins_Gem
 *
 * @author c'y'zhao
 */
class Ins_Gem extends Object_ext {
    /**
     * 索引id
     * @var type
     */
    public $uid = 0;
    
    /**
     * 配置表id
     * @var type
     */
    public $typeId = 0;

    /**
     * 词条
     * @var type
     */
    public $predicateId = 0;

    /**
     * 是否已经被锁 0:没有 1:锁
     * @var type
     */
    public $isUnlock = 0;

    /**
     * 新得到的宝石有绿点提示，点一下才会消除
     * @var type
     */
    public $isNew = 0;
    
    /**
     * 构造函数
     * @param type $args
     */
    public function __construct($args = null) {
        if($args !=null){
            parent::__construct($args);
        }                
    }
    
    /**
     * 配置
     * @return sm_gem
     */
    public function mo() {
        $mo = GameConfig::gem_getItem($this->typeId);
        my_Assert(null != $mo, ErrCode::err_const_no);
        return $mo;
    }
    
    /**
     * 
     * @return sm_predicate
     */
    public function predicateMo() {
        $mo = GameConfig::predicate_getItem($this->predicateId);
        my_Assert(null != $mo, ErrCode::err_const_no);
        return $mo;
    }
    
}
